curl --request PUT \
--url https://delivery-api.express.ci/orders/{reference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://delivery-api.express.ci/orders/{reference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://delivery-api.express.ci/orders/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"referenceNumber": "ORD0001",
"total": 98150,
"deliveryFee": 1500,
"deliveryInstructions": "Livrer à midi",
"deliveryDeadline": "2025-06-05",
"status": "canceled",
"statusComment": null,
"createdAt": "2025-06-05T07:05:21.000Z",
"updatedAt": "2025-06-05T08:04:00.000Z",
"recipient": {
"referenceNumber": null,
"name": "John Doe",
"phone": "0702029254",
"address": {
"name": "45 Avenue de la Paix",
"landmark": "Terminus 81/82",
"city": "Cocody",
"latitude": 5.403871,
"longitude": -3.9881079
}
},
"items": [
{
"referenceNumber": "ITEM001",
"orderId": 14,
"itemName": "Samsung Galaxy A05 64Go",
"quantity": 1,
"total": 77900,
"size": "S",
"weight": 0.5,
"itemUrl": "https://market.momo.africa/Portal/product/121731/1?tenantId=4&lang=fr",
"status": "canceled",
"statusComment": null,
"createdAt": "2025-06-05T07:05:21.000Z",
"updatedAt": "2025-06-05T08:04:00.000Z",
"sender": {
"referenceNumber": "0596086680",
"name": "Samsung Store Abidjan",
"phone": "0700000001",
"address": {
"name": "123 Rue Principale",
"landmark": "Angré pétro ivoire",
"city": "Cocody",
"latitude": 5.359951,
"longitude": -4.008256
}
}
},
{
"referenceNumber": "ITEM002",
"orderId": 14,
"itemName": "Riz vietnamien La Rizière long grains parfumé 5kg",
"quantity": 5,
"total": 18750,
"size": "S",
"weight": 5.5,
"itemUrl": "https://market.momo.africa/Portal/product/107465/1?tenantId=4&lang=fr",
"status": "canceled",
"statusComment": null,
"createdAt": "2025-06-05T07:05:21.000Z",
"updatedAt": "2025-06-05T08:04:00.000Z",
"sender": {
"referenceNumber": "0555306590",
"name": "Tech Shop",
"phone": "0700000002",
"address": {
"name": "456 Avenue Tech",
"landmark": "Liberté",
"city": "Adjamé",
"latitude": 5.40387101,
"longitude": -4.009
}
}
}
]
}Cancel Order
Cancel an existing delivery order by its reference number.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique order reference in your system.
Response
The canceled order
Represents the response payload for an order after it has been created, retrieved, or canceled.
Unique order reference in your system.
"ORD0001"
Total amount of the order including delivery fees.
98150
Fee for delivering the order.
1500
Current status of the order.
"pending"
Timestamp when the order was created.
"2025-06-05T07:05:21.000Z"
Timestamp when the order was last updated.
"2025-06-05T07:05:21.000Z"
Details of the recipient receiving the order.
Show child attributes
Show child attributes
List of items included in the order.
Show child attributes
Show child attributes
Special instructions for the delivery process.
"Livrer à midi"
URL to a printable PDF receipt for the order. If not provided, Express will generate a receipt from the order data.
"https://example.com/receipts/ORD0001.pdf"
The latest date by which the delivery should be completed.
"2025-06-05"
Optional comments related to the order status.
null